<header class="fixed-top">

  <span (click)="toggle()">
    <ng-content *ngIf="open; then thenTemplate; else elseTemplate"></ng-content>

    <ng-template #thenTemplate>
      <ng-content select=".tr-close"></ng-content>
    </ng-template>
    <ng-template #elseTemplate>
      <ng-content select=".tr-open"></ng-content>
    </ng-template>
  </span>


  <!-- Projection de la balise app-header grâce au sélecteur -->
  <ng-content select=".tr-header"></ng-content>

</header>

<main [ngClass]="{'close-aside': !open}">

  <div class="shadow position-fixed">

  </div>

  <aside>
    <div class="scroller">

      <ng-content select=".tr-nav"></ng-content>

    </div>
  </aside>

  <div class="page">

    <div class="contents">

      <ng-content select=".tr-content"></ng-content>

    </div>

    <footer>

      <ng-content select=".tr-footer"></ng-content>

    </footer>

  </div>
</main>
